Subject: FVWM: Misc RC Examples

From: Andrew Veliath <[email-masked]>
Date: Fri, 17 Jan 1997 06:53:01 -0500 (EST)

I thought I'd post some RC examples which use various features.  Nothing
complicated, but stuff I've found useful at this point.

Andrew

~~~~~~~~~~~~~~~~~
Here is what I use for WindowShade (double-click the title-bar):

Mouse 1 T       A       Move-Raise-Shade

AddToFunc Move-Raise-Shade      "I" Raise
+                               "M" Move
+                               "D" WindowShade

~~~~~~~~~~~~~~~~~
Some CUA similar bindings I use:

Key F4          W       M       Close
Key F4          W       SM      Destroy
Key space       W       M       Popup SomeWindowOpsMenu

Then in SomeWindowOpsMenu of course a tab (must be tab) should be
placed after the &Close option and then Alt-F4 (or Meta) or something.

~~~~~~~~~~~~~~~~~
Here is what I use for FvwmCascade/FvwmTile:

AddToMenu TileMenu
+       "&Horizontally"         FvwmTile -h -mn 3 2 2 90 85
+       "&Vertically"           FvwmTile -mn 3 2 2 90 85

AddToMenu [I actually put this on root menu :-]
+       "&Cascade"              FvwmCascade -resize 2 2 80 60
+       "&Tile"                 Popup TileMenu

~~~~~~~~~~~~~~~~~
For window navigation I use these (these work in both MouseFocus and
ClickToFocus!).  Note ToggleWindow which uses the FlipFocus function
from Dan Niles and once you get the hang of it, it's really nice:

Key Tab         A       C       ToggleWindow
Key Right       A       SCM     NextWindow
Key Left        A       SCM     PrevWindow

AddToFunc FocusWindow           "I" Focus
+                               "I" WarpToWindow 10 10

AddToFunc NextWindow            "I" Next [!iconic] FocusWindow

AddToFunc PrevWindow            "I" Prev [!iconic] FocusWindow

AddToFunc ToggleWindow          "I" FlipFocus
+                               "I" Prev [!iconic] FocusWindow

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].